Phone Calls Analyzer

Welcome to Phone Calls Analyzer.

  • General information
  • Installation
  • Configuration
  • PBX data collector
  • Controls
  • Functions and commands
  • Registration


General information.

PCA is the program for acounting and analyze phone calls. It was specially designed for usage in Estonia. It consists of two units: PBX port collector and Data analyzer. Each of this units could be placed on the same computer as well as on different machines, connected to the local network. If You have your own local network, You could order one or more extra Data analyzers, for this purposes, special Worksite edition of this program was designed.

It works with Microsoft Windows 9x, Me, NT4, 2000,XP; PBX data could be collected on machine with MS-DOS or MS Windows 3.X operation systems.

PCA general features:

1. Two types of accounting reports: simple and full analyze.
2. Hotel accounting.
3. Building three kind of charts.
4. Printing reports.
5. Three interface languages.
6. Groups of subscribers with deep extra charges system.
7. Powerful tariff database.
8. Supporting more than one telephone operator.
9. Accounting incoming calls, month subscriber fee, call filtering and much more.
10. Printing bills.

Supported PBX types:

PBX | Remarks
Siemens Hicom 100E |
Siemens Hicom 150E | Software distributor: Timmermann AS
Siemens Hicom 150E Office | Software distributor: Timmermann AS
Siemens TopCom 200 | Software distributor: Timmermann AS; special Collector
Siemens Hicom 300E |
Ericsson BP50 |
Ericsson BP2000 |
Ericsson MD110 |
Panasonic 616CE |
Panasonic 1212CE |
Meridian NT |
Alcatel BCN5200 |

As usual, it takes no longer than 2-5 days to include other PBX type to the PCA supported


Installation

As usual, setup kit consists of two files: pcaXXXse.exe and pcaXXXse.r01 (XXX - Version number). It was done especially for placing this files into the 1,44 Floppy disks. First of all, you have to extract this files into the temporary folder. Then find and run file 'setup.exe'.

This table explains setup principle:

Source setup kit | Destination | Remarks | Installation
mfc42.dll | Windows System folder | - | PBX Collector; PBX Analyzer
msvcrt.dll | Windows System folder | - | PBX Collector; PBX Analyzer
comctl32.nt / cpmctl32.9x | Windows System folder | rename to comctl32.dll | PBX Analyzer
msjet35.dll | Windows System folder | - | PBX Collector; PBX Analyzer
vbajet35.dll | Windows System folder | - | PBX Collector; PBX Analyzer
vbar332.dll | Windows System folder | - | PBX Collector; PBX Analyzer
msjter35.dll | Windows System folder | - | PBX Collector; PBX Analyzer
msjint35.dll | Windows System folder | - | PBX Collector; PBX Analyzer
dao2535.tlb | Common Files/Microsoft Shared/Dao | - | PBX Collector; PBX Analyzer
dao250.dll | Common Files/Microsoft Shared/Dao | must to be registered | PBX Collector; PBX Analyzer
rhs1.dll | - | setup library | PBX Collector; PBX Analyzer
pca.exe | PCA Folder | - | PBX Analyzer
tks.sys | PCA Folder | - | PBX Analyzer
pca.chm | PCA Folder; Collector Folder | - | PBX Collector; PBX Analyzer
collector.exe | Collector Folder | - | PBX Collector
tariff.mdb | Collector Folder | - | PBX Collector
config.exe | Collector Folder | - | PBX Collector
LANG\eng.txt | Collector Folder | - | PBX Collector
LANG\est.txt | Collector Folder | - | PBX Collector
LANG\rus.txt | Collector Folder | - | PBX Collector
Formats\h100.ini | Collector Folder\PBX Formats | Hicom100 ini | PBX Collector
Formats\h100s.ini | Collector Folder\PBX Formats | Hicom 100 ini (compressed) | PBX Collector
Formats\h150.ini * | Collector Folder\PBX Formats | Hicom 150 ini | PBX Collector
Formats\h150+.ini * | Collector Folder\PBX Formats | Hicom 150 Office ini | PBX Collector
Formats\h150++.ini * | Collector Folder\PBX Formats | Hicom 150 Office ini (extended) | PBX Collector
Formats\h300.ini | Collector Folder\PBX Formats | Hicom 300 ini | PBX Collector
Formats\er2000.ini | Collector Folder\PBX Formats | Ericsson ini (simple) | PBX Collector
Formats\erBP.ini | Collector Folder\PBX Formats | Ericsson ini (full) | PBX Collector
Formats\erMD110.ini | Collector Folder\PBX Formats | Ericsson ini (MD110) | PBX Collector
Formats\alc5200.ini | Collector Folder\PBX Formats | Alcatel 5200 ini | PBX Collector
Formats\mernt.ini | Collector Folder\PBX Formats | Meridian NT ini | PBX Collector
Formats\pan616.ini | Collector Folder\PBX Formats | Panasonic 616 ini | PBX Collector
Formats\pan1232.ini | Collector Folder\PBX Formats | Panasonic 1232 ini | PBX Collector
setup.exe | PCA Folder; Collector Folder | - | PBX Collector; PBX Analyzer
_setup.ini | PCA Folder; Collector Folder | - | PBX Collector; PBX Analyzer

* - TKS Formats (software distributor: Timmermann AS)


Configuration

Configuration program

Use this program to set configuration your PCA system. Only system admin has rights to enter this program. That’s why, after calling program 'config.exe', check access window will appear:
Type your password and press 'OK' button to continue.

In Configuration program you have to define port settings (ask your PBX vendor), select PBX type output format, define extensions, define trunk names (not required) and call types (not required).

  • Define port settings:

    Select port (COM1,...,COM4), Baud rate (1200, 2400, 4800, 9600), Data bits (4, 5, 6, 7, 8), Stop bits (1, 1.5, 2), Parity (Even, None, Odd), 'tick' RTS control handshake (if PBX supports handshakes).

  • Define station format:

    Select output format from list: all supported formats and custom (manual) format.

  • Define extensions:

    You can add, remove, change name of extension. With button 'Generate' help; you can generate the range of extensions.

  • Define trunks:

    You can add, edit or delete trunks names. Analyzer may display trunk names in full account.

  • Define call info:

    You can add, edit or delete call type descriptions. Analyzer may display call information in full account. If there are no call type descriptions defined, PCA will show three kinds of calls: Incoming talk, Incoming call, Outgoing.

If you make changes, Configuration program ask you to restart computer, do it, if you want to apply new settings immediately.


PBX data collectror

PBX data collector

This program is used for collecting output data from PBX and transforming it to the PCA compliant format. Collector writes PBX information data to the specific folders: MM_YY; where MM - month, YY-year of data date, and divides it into the files: “ZZ.dat” (where ZZ - installed extension) or “Trush.dat” (if no call information or unknown extension).
This is program front view; it appears for 10 seconds after program started successfully. To call it again, click twice with right mouse button on Collector icon in the System Tray.
Note! Collector changes its icon during data recieving.

Here you can see current PCA mode, free space of data disk (Collector starts remove old data, if free disk space is smaller than 10MB), installed extensions amount, today calls amount.


Controls

  • Toolbar - is a control window that contains one or more buttons. Each button sends a command message to the main program when the user clicks it.
  • Status bar - is a horizontal window at the bottom of a main window in which PCA displays various kinds of status information.
  • Menu - is a control window with hierarchal set of commands.


Toolbar

Create new account | Calls creating new account window.
Save account | Saves current account and bill info to the specified file.
Open account | Opens account and bill info from file.
Create hotel account | Calls creating hotel account window.
Client registering | Calls client archive window.
Archive clean-up | Calls client archive clean-up window.
Print account | Prints current account.
Print bill | Prints bill of current account.
Program info | Displays program information and registration window.
Open PCA Help topics | Displays current Help Topics.
 | Search box. Type any text and press 'ENTER' button.


Status bar

.
Shows lines and columns amount of current account view.
Shows PCA mode.
Shows current date (Format: dd.mm.yyyy).


Menus

.

Create account | Calls creating new account window
Open account | Saves current account and bill info to the specified file
Save account | Opens account and bill info from file
Hotel | Calls creating hotel account window
Guest registering | Calls guest archive window
Guest database clean-up | Calls guest archive clean-up window
Charts | Draws three kinds of charts for analyse full account
Print | Prints current account
Print preview | Shows print preview window
Print setup | Opens printer setup dialog
Print bill | Prints bill of current account
Exit | Quit the program
Operators | Opens operator window
Tariffs | Opens tariff database window
Internal numbers | Opens internall tariff database window
Groups | Opens extension group window
Holidays | Opens holidays window
Change password | Opens changing passowrd window
Work path | Opens changing work path window
Registering | Opens registration window
Language | Switch to one of three language interfaces (optional for international editions)
Page design | Opens page design window
Logo design | Opens logo design window
Bill design | Opens bill design window
Toolbar | Shows / Hides toobar
Status bar | Shows / Hides status bar
Grid | Shows / Hides account view grid
Repair and compact tariff database | Calls repair and compact utility for tariff database
Repair and compact guest database | Calls repair and compact utility for guest database
Help Topics | Calls current Help Topics
About program | Displays program information and registration window


Functions and commands

  • Create account
  • Open account
  • Save account
  • Hotel
  • Guest registering
  • Guest database clean-up
  • Charts
  • Print
  • Print preview
  • Print setup
  • Print bill
  • Exit
  • Operators
  • Tariffs
  • Internal numbers
  • Groupe
  • Holidays
  • Change password
  • Work path
  • Registering
  • Language
  • Page design
  • Logo design
  • Bill design
  • Toolbar view
  • Status bar view
  • Grid
  • Repair and compact tariff database
  • Repair and compact guest database
  • Help Topics
  • About program
  • Search


Create account

Use this window to create account (simple or full).

Creating simple account:

  • 1. Select extension group. (See groups)
  • 2. Select extensions for account. Use <, > buttons (Tick 'Select all' for all extension automatic selection), or double-mouse click on chosen extension.
  • 3. Select 'Simple' account type.
  • 4. Select time and date interval of accounting manually or use periods configuration.
  • 5. Choose account settings
  • 6. Press 'Create' button.

Click here to look an example of simple account.

Creating full account:

  • 1. Select extension group. See groups)
  • 2. Select extensions for account. Use <, > buttons (Tick 'Select all' for all extension automatic selection), or double-mouse click on chosen extension.
  • 3. Select 'Simple' account type.
  • 4. Select time and date interval of accounting manually or use periods configuration.
  • 5. Choose account settings
  • 6. Choose additional information that will be included (Optional).
  • 7. Choose filters (optional).
  • 8. Press 'Create' button.

Click here to look an example of full account.

Account periods configuration:

Today | Sets account interval to today
Yesterday | Sets account interval to yesterday
This week | Sets account interval to current week (From = This week Monday)
Last week | Sets account interval to last week
This month | Sets account interval to current month (From = 1st day of this month
Last month | Sets account interval to last month
Custom | Sets account interval to custom (according your settings)
Define custom | Define custom interval

Custom account period:

Select end of period:
  • End of last week
  • End of last month
  • Day of last month (1-31)
  • Offset of current date (in days, weeks, months)
Select period length:
  • in days, weeks, months

Account settings:

Account incoming talks | Tick this field, if you want to account all incoming talks (See tariffs)
Account in whole minutes | Tick this filed, if you want to calculate talk sum in minutes (not in seconds). F.e. (duration 00:00:17 = 00:01:00; 00:23:01 = 00:24:00; etc.)
Ignore internal talks | Tick this field to not account internal talks (See internal numbers)
Ignore extra charges | Tick this field to ignore all extra charges (See groups)
Ignore all operators | Tick this field to account all talks according tariffs of default operator (See operators)
Include subscriber fee | Tick this filed to include extension fee (if it is) to account (See groups)

Additional information (full account only):

Inc. talks | Shows incoming talks
Inc. calls | Shows incoming call info (HICOM 100E)
Destination | Shows call destination case outgoing or description (other cases)
Operator | Shows phone operator name (See operators)
PBX nr. | Shows PBX number (HICOM 300E)
Trunk | Shows used trunk number
Trunk name | Shows used trunk name (if defined in configuration)
Ring length | Shows how long ring phone bell before handset picked up.
Subscriber | Shows extension name (if defined in configuration or groups)
Call info | Shows call info (if defined in configuration)
Route | Shows used route (carrier)

Filters (full account only):

Shows and account only outgoing local calls
Shows and account only outgoing trunk calls
Shows and account only outgoing mobile calls
Shows and account only outgoing international calls
Shows and account only outgoing other calls
Shows and account only internal calls
Shows (and account) only incoming talks
Shows only incoming calls (Call info)
Shows and account calls through selected phone operator
Shows and account calls with cost higher typed value
Shows and account calls with duration longer typed value
Shows and account calls with typed digits found in dialed number
  • Current account configuration will be always saved when you close account window and automatically reload when you call this window again (except time and date interval and extension collection).
  • You can also save and open your own defined configurations using 'Custom' button in 'Account types' selection:
    To save current account configuration type its new name (description) and press 'Add' button.

    To open configuration select it from the list and press 'Select' button or double mouse click on it.

    To delete configuration from list, select it first, and press 'Delete' button.

Hot key: | F1
Toolbar button: |


Open account

You can open any saved before account from files. Accounts file of three kinds (simple, full and hotel) have the "PCA" extension. (For TKS edition - "TKS"), and could be open from command line or from run analyzer program.

Since PCA ver3.00, bill information is saved and opened too.

Note! New "PCA" file format is not compatible with earliest versions of program.

Hot key: | F3
Toolbar button: |


Save account

You can save any calculated account in two ways: "PCA" account files of three kinds (simple, full and hotel) with the "PCA" extension. (For TKS edition - "TKS"), which could be opened from command line or from run analyzer program; and "CSV" files, recognized by MS Excel, Sun Star Office, etc.

Since PCA ver3.00, bill information is saved and opened too.

Note! New "PCA" file format is not compatible with earliest versions of program.

Hot key: | F2
Toolbar button: |


Hotel

Hotel account

Use this window to create hotel account

Creating manual hotel account:

  • 1. Select extension group. (See groups).
  • 2. Select extensions for account. Use <, > buttons (Tick 'Select all' for all extension automatic selection), or double-mouse click on chosen extension.
  • 3. Select time and date interval
  • 4. Choose hotel options.
  • 5. Fill guest information.
  • 6. Press 'Ready' button.
  • 7. Select additioanl services (optional).
  • 8. Press 'Create' button.

Creating hotel account from guest database:

  • 1. Select guest from 'Current guests' or 'Guests archive'. Case 'Current guests': if you tick field 'Settling?', after accounting guest will be placed into the 'Guests Archive'. (Check out).
  • 2. Choose hotel options.
  • 3. Press 'Ready' button.
  • 4. Select additioanl services (optional).
  • 5. Press 'Create' button.

Click here to look an example of hotel account.

Hotel options:

Autonumber | Tick this field, if you want that program calculate bill number automatically. (Auto bill format: yymmddnnnn, where 'yy'-current year, 'mm'-current month, 'dd'-current day, 'nnnn'-number.)
Recount all | Tick this field, if you want to recount all talks, leave this field empty to account only new talks.
Account incoming talks | Tick this field, if you want to account all incoming talks (See tariffs)
Account in whole minutes | Tick this filed, if you want to calculate talk sum in minutes (not in seconds). F.e. (duration 00:00:17 = 00:01:00; 00:23:01 = 00:24:00; etc.)
Ignore internal talks | Tick this field to not account internal talks (See internal numbers)
Ignore extra charges | Tick this field to ignore all extra charges (See groups)
Ignore all operators | Tick this field to account all talks according tariffs of default operator (See operators)

Guest information:

Fill guest information that will placed into the account printout and bill. All filled information will be saved, and next time, you could just select it. Press 'X' button to delete all saved data from program database.

Additional services:

Besides phone services you can include to the account any other kinds of services to each subscriber (extension). To switch between extensions, use buttons 'Prev' and 'Next'. To add service press 'Add' button:

Type service and its cost and press 'OK' button.

All unique services will be saved, and next time, you could just select them in list. Press 'Clear' button to delete all saved names of services.

For other function press button 'Other', and then will appear menu:

Edit record | Choose this command to edit selected item in the service list. (identical action is double mouse click on chosen item).
Remove record | Remove selected service from list.
Clear list | Delete all services for current extension.
Clear all lists | Delete all service lists for all extensions.
Clone list | Duplicate current extension service list for all extensions.

Current guests:

Select item for account from current guest list. (See guest registering).

You can sort items in ascending order as well as descending.

You can print list of guests too.

You can also use search option, choosing command 'Find'. You locate item by several ways:
By name, or last name
By registration date
By extension (up to 5 numbers)
By info (up to 3 fields)

Guests archive:

Select item for account from archive guest list. (See guest registering).

You can sort items in ascending order as well as descending.

You can print list of guests too.

You can also use search option, choosing command 'Find'. You locate item by several ways:
By name, or last name
By registration date, or settled date
By extension (up to 5 numbers)
By info (up to 3 fields)
By bill number
By account total summ
  • Current hotel account configuration will be always saved when you close account window and automatically reload when you call this window again (except time and date interval and extension collection).
Hot key: | F4
Toolbar button: |


Guest registering

Fill all fields you want with data except date and time and press button 'Add' to register new guest, date and time of registration will be entered automatically.
Use buttons 'Previous' and 'Next' or search ability to find any record you like in the Current guests List database.
Also you can modify or even delete any record using 'Save' or 'Delete' buttons.

To protect “Client.mdb” database you can set password using MS ACCESS, but this password must be the same with program administrator password and consists of uppercase symbols only.

Hot key: | F11
Toolbar button: |


Guest database clean-up

In this program window you can delete old settled (check-out) guests records.

Select interval manually or use automatic (limit) interval borders. Press 'OK' button to delete all guests records with date of settling (check-out) between selected interval borders..

Hot key: | F12
Toolbar button: |


Charts

You can build three kinds of analyze charts after creating (or opening) Full account for all found in account extensions (no more than133 extensions).

Calls amount chart:

Calls duration chart:

Calls summ chart:


Print

Use this command to print current created (or opened) account. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Since PCA ver. 3.00 you can customize account printing form view. See 'Page Design' and 'Logo Design' for details.

Click here to look at full account printing form.

Click here to look at simple account printing form.

Click here to look at hotel account printing form.

Hot key: | Ctrl + P
Toolbar button: |


Print preview

Use this command to display the active account, as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


Print setup

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


Print bill

Use this command to print bill of current created (or opened) account. To choose bill printer and customize bill form view please run 'Bill Design' command from Design menu.

Hot key: | Ctrl + B
Toolbar button: |


Exit

Use this command to end PCA session. Exit is denied when open modal dialog or during account creation.

Always use this command to close program, because many program’s settings are saved for the period of safe program exit.

Hot key: | Alt+ F4
Window button: |


Operators

Use this window to classify telephone operators (if you make calls trough more than one telephone provider). To add new operator do following: type operator's name (description), type dialed number prefix (if you use prefixes), type trunk or carrier (if you use them) and press 'Add' button. When new operator is created, program generates its tariff database automatically according with operator Esti Telefon prices. You can modify all this settings later too, selecting desired operator from operator's list, entering new values and pressing button 'Save'. To remove operator from list, just select it and press button 'Remove'; program removes this operator tariffs database also.

You have to make one and only one of the installed operator default. This means, that all unknown and incoming calls will be calculated according tariffs of default operator.

Case using trunks or carriers to identify different operators, fill 'Find in dialed number' and 'Replace with' fields if your PBX add some digits to dialed number.

For instance: used carrier = 81, and dialed number = 8105643540; PBX adds 81 to number 05643540; so, you have to type "81" to 'Find in dialed number' field and leave 'Replace with' field empty; PCA will recognize this number as 05643540 (Estonia GSM (RLE)), etc.

In 'Operators identification' group select how differ calls through various operators: is by call prefix, by trunk, or by carrier.

Hot key: F5


Tariffs

Use this window to configurate tariff database for installed telephone operators. (See operators)

Tariff database is divided into the four groups: Local, Mobile and Trunk, International and Other. First of all, select telephone operator, whose tariffs you are going to change; then choose tariff group and select code. You can find telephone direction in two ways: by codes and destinations (codes and destinations are sorted ascend tally). Note! Destinations may be repeated, and in this case, you have to find real directions by code only. Then you have to type normal tariff for call charge per minute; if selected direction has different tariffs, type reduced and night tariffs for call charge per minute.

Note!. Holidays (See holidays) and Weekends (Saturday and Sunday) belong to reduced time independently of daytime or nighttime.

Program has ability to set different tariffs for two physical trunks for the same direction code: choose special trunk (1 or 2), enter trunk number, set tariffs and press button 'Save'.

Into the field 'Setup charge is taken' type value in seconds, when Setup charge will be included to the call cost.

Into the filed 'Free second(s)' type value free of charge second.

Since PCA v3.00, you could setup call tariff in two ways: charge per minute and charge per call. If charge is taken for whole call, tick field 'Charge is taken for whole call'.

Also you can add INCC (Internal Network Call Charge). This charge is equal to the charge for local conversations (except Setup Charge) of current chosen telephone operator.

Examples (for ordinary tariff, with call duration = 4 min; local tariff = 0,34):

TARIFF | SETUP CHARGE | WHOLE CALL | ADD INCC | SUMM CALCULATION
25,00 | 0,48 | Yes | No | 25,00*1+0,48
25,00 | 0,48 | No | No | 25,00*4+0,48
25,00 | 0,48 | Yes | Yes | 25,00*1+0,48+0,34*4
25,00 | 0,00 | No | Yes | 25,00*4+0,34*4
100,00 | 0,00 | No | No | 100*1

In the list 'Call type' select one of items (Local, Trunk, Mobile, International or Other), if chosen direction is not belonging to the current tariff group, choose 'Default' item, if it is belonging.

You can also define tariff for accounting incoming talks. Incoming talks are accounted accordinng tariff of Default operator (See operators). Select default operator, choose 'Local' tariff group, and into the field '% to account incoming talks' enter value, equated percent of normal tariff. For instance: 50%, where normal tariff = 0,34 EEK; so tariff for incoming talk = 0,17EEK per minute. Note! Setup Charge in this case is not included.

You can update tariff database using PCA upgrade function. PCA's upgrade tariff database is the file with extension "tdb". To upgrade your tariff database: select operator, then select tariff group (except 'Local'), press button 'Upgrade' and open file (for example: tele2.tdb).

You can visit our downloading page at http://www.hot.ee/PCA/down_eng.htm to check the newest tariff databases.

Note!. Updating your tariff database is not our job! We are doing just for our fun!

You can call Advanced tariff settings pressing 'Advanced' button.

You can modify minimum call charge and round value for each call type group. Valid round values: 0,1;0,005 etc.

Tick 'Time is the end of call' field if you PBX displays the end of call.

This window is password protected. Only system administrator has rights to open it.

Hot key: F6


Internal numbers

Use this window to configurate tariff database for internal conversations.

Select internal destination (number) and type normal tariff for call charge per minute; if selected direction has different tariffs, type reduced and night tariffs for call charge per minute.

Note!. Holidays (See holidays) and Weekends (Saturday and Sunday) belong to reduced time independently of daytime or nighttime.

Use 'Upload' button to refresh your internal number database.

This window is password protected. Only system administrator has rights to open it.

Hot key: F7


Groups

Use this window to divide extensions by groups for better convenience. There is always one (default) group in system, and all its members are listed as free. To add new group type its new name to the field 'Group Name' and press 'Add' button. And then, with buttons '<' and '>' help, add or move extensions from default group (right list) to new or selected group (left list). Also you can rename group (as well as default), just select it from list, enter new group name to the field 'Group Name' and press 'Rename' button. Each group (except default) could be removed from system, to do this, select it and press button 'Remove'; all deleted group members will be default group members automatically. PCA supports not more than 100 different groups.

Each group member may be renamed in this window too. Also you can define subscriber fee and extra charges for every group member to the different call's types, and hide specified amount of digits in dialed number (they will be replaced with '*' in any account; for instance 0037205643540 = 00372056435**). You can apply new settings to all selected group members at once, pressing 'Save all' button.

Hot key: F8


Holidays

Use this window to define holidays (days off). PCA will consider this dates as weekend and use reduced tariffs for accounting calls at this time.

Hot key: F9


Change password

This function is used to change system administrator password. First of all, enter old password (after first program installation password is empty string) and press 'OK' button.

Then type new password and confirm it. Press 'OK' button to keep the changes.

Password protected windows:

Configuration
Tariffs
Internal numbers

Hot key: F10


Work path

This function is used to change working path to the PBX collected data. Type new path name, or use browsing function for path search, and press 'Save' button.


Registering

During program registration you have to enter owner name, organization name and PBX phone number (any one) and program registration number (you have to receieve it from distributor). (See registration).

Note! In future, you can change your registration data (except registration number) only with PUC code. Ask your product distributor for PUC code.


Language

Program has flexible language support. You can choose between English (default), Estonian and Russian languages. After language selection, program changes language in main window and printout immediately, child windows have to be reopened.

All used terms and messages could be found in files:

eng.txt | English language file
rus.txt | Russian language file
est.txt | Estonian language file

Advice! Backup original files before editing.


Page design

Use this window to configure printing form view. You can choose fonts for normal and caption text, define line spacing (in points); tick 'Grid' field if you want to highlight each second raw for better readiness.

You can choose additioanl columns to be printed in full account:

Trunk | Shows used trunk number
Trunk name | Shows used trunk name (if defined in configuration)
Subscriber | Shows extension name (if defined in configuration or groups)
Ring lengh | Shows how long ring phone bell before handset picked up.
Operator | Shows phone operator name (See operators)
Call info | Shows call info (if defined in configuration)
PBX Nr. | Shows PBX number (HICOM 300E)
Route | Shows used route (carrier)


Logo design

Use this window to configure your firm logo, which will be printed in accounts and bills.

This is general settings page. You have to type here the height of logo space in per cents of total page height; decide logo placement (page top or bottom); and select, what logo items will be printed: 'Company name', 'Company icon' and 'Company info'. Note! Only one of 'Logo Company' or 'Logo Icon' could be printed at once.

You can see your logo preview pressing 'Test' button.

Company name:

Enter you firm (organization) name to the upper window; select font and font color with button 'Font' help; select 'Company name' alignment.

Company icon:

Select company icon (bitmap files only) from file entering full path to the upper window or press button 'Open'; select 'Company icon' alignment.

'Company info':

Enter you firm (organization) information to the upper window; select font with button 'Font' help; select 'Company info' alignment. This logo item will be used in bill printout.

Example of logo preview: click here.


Bill design

Use this window to configure bill printer and bill printing form view.

In 'Printer Setup': select how your printer is connected with your computer: locally (select port: COM or LPT) or through Ethernet (type full path to printer);define raw size; decide, are you need in bill preview (edit) window (Max preview window buffer size - 64 Kbytes). You can add to the end of bill data 'Form Feed char (0x0C)' ticking field 'FF'.

In 'Bill' group: you can add logo ('Company Info') to the top of the bill in hotel and ordinary accounts, marking the analogous fields; case hotel account, you can show call info for each extension individually or wholly; in addition, you can show call types and tariffs types. Besides, you have to specify size of each column size.

Bill body:

Description | Column1 / Names | Column2 / Duration (min) | Column3 / Summ without VAT (kr)
Call types (if chosen and duration not null) | Local | 0.00 | 0,00
 | Trunk | 0.00 | 0,00
 | Mobile | 0.00 | 0,00
 | International | 0.00 | 0,00
 | Other | 0.00 | 0,00
Tariff types (if chosen and duration not null) | Normal | 0.00 | 0.00
 | Reduced (discount) | 0.00 | 0.00
 | Night | 0.00 | 0,00
if summ not null | Subcriber fee / other services |  | 0,00
if individually flag is ticked | Extension total summ |  | 0,00
Forever | Summ |  | 0,00
Forever | VAT |  | 0,00
Forever | Total summ |  | 0,00

Example of bill preview: click here.


Toolbar view

Use this command to show or hide status bar window (See toolbar).


Status bar view

Use this command to show or hide status bar window (See status bar).


Grid view

Use this command to display or hide gridlines around items and subitems in account view.


Repair and compact tariff database

Call this function if you need to attempt to repair a corrupted tariff database that accesses the Microsoft Jet database engine. You must close all child windows before you repair it.

Besides, call this function to compact a tariff database. As you change data in a database, the database file can become fragmented and use more disk space than necessary. Periodically, you should compact your database to defragment the database file. The compacted database is usually smaller. .


Repair and compact guest database

Call this function if you need to attempt to repair a corrupted guest database that accesses the Microsoft Jet database engine. You must close all child windows before you repair it.

Besides, call this function to compact a guest database. As you change data in a database, the database file can become fragmented and use more disk space than necessary. Periodically, you should compact your database to defragment the database file. The compacted database is usually smaller. .


Help Topics

Use this command to display this Phone Calls Analyzer help.

Hot key: Ctrl+F1


About program

Use this command to display About PCA window. This window contains information about current program version, author's contact information, and links to program web sites. Besides, this window shows owner of registered program copy and unique program ID. (See registration).

.


Search

You can find in created (opened) account any char's sequence. Enter string to be found into the search box, which is situated in Toolbar end press Enter. Case successful search, program will highlight raw containing specified string. You can continue searching pressing Enter again and again.

.


Registration

PCA modes:
Type | Extensions | Limitations
Demo | 10 | no hotel functions;50+1 report lines
PCA32 | 32 | no hotel functions
PCA100 | 100 | no hotel functions
PCA300 | 300 | no hotel functions
PCA+ | no limit | no hotel functions
PCA32H | 32 |
PCA100H | 100 |
PCA300H | 300 |
PCA+H | no limit |
WE Demo | - | no hotel functions;50+1 report lines
WE | - | no hotel functions
WE H | - |

It is possible to upgrade your PCA mode in any time, you only need to pay the diffrerence.

Upgrading program with newest version is free of charge.
To register your copy of program, please send us choosen PCA mode and program id, which could be found in window 'About program'
Phone: (+372) 6053060
FAX: (+372) 6053061